
chronoCtrl = chronoCtrl or {}


function chronoCtrl.create(parentGrp)
	local grp = parentGrp:FindByName("chronoGrp")
	if grp ~= nil then
		return
	end
	
	local grp = parentGrp:CreateGroup("chronoGrp")
	grp:SetZpos(1000)

	-- Apparition du fond	
	local tmp = grp:CreateSprite("back", texChronoCtrlBack, Vector2D(0, 0))
	tmp:SetColor(Color(0, 0, 0, 255))
	tmp:SetZpos(-10)

	local text = grp:CreateText("text", "00'00\"00", 34, Color(255, 255, 255), Vector2D(5, -1))
	text:SetFont(fontFixedsys)
	text:SetZpos(10)
end

function chronoCtrl.destroy(parentGrp)
	local grp = parentGrp:FindByName("chronoGrp")
	if grp ~= nil then
		grp:Destroy()
	end
end

function chronoCtrl.setValue(parentGrp, timeValueSec)
	local grp = parentGrp:FindByName("chronoGrp")
	
	grp:FindByName("text"):SetText(lvlProgress.priv.timeFormat(timeValueSec))
end

function chronoCtrl.setColor(parentGrp, colorName)
	local color = Color(255, 255, 255)
	if colorName == "gold" then
		color = Color(255, 255, 0)
	elseif colorName == "silver" then
		color = Color(208, 208, 208)
	elseif colorName == "bronze" then
		color = Color(232, 185, 86)
	elseif colorName == "lost" then
		color = Color(255, 0, 0)
	end
	
	local grp = parentGrp:FindByName("chronoGrp")
	
	grp:FindByName("text"):SetColor(color)
end
