-- Ressources
logoTex = Texture("logo.png")

-- Screen
screenSize = Vector2D(1600, 900)
screen = CreateScreen("logoScren", ScreenConfig(screenSize))
screen:SetBackgroundColor(Color(0, 0, 0))
screen:ShowCursor(false)
logoSpr = screen:CreateSprite("spr", logoTex, (screenSize - logoTex:GetSize()) / 2)
logoSpr:SetColor(Color(255, 255, 255, 0))

screen:RegisterChronometer(function(ratio, evt)
								if ratio > 0.2 and ratio < 0.8 then
									ratio = (ratio - 0.2) / 0.6
									logoSpr:SetColor(Color(255, 255, 255, ratio * 255))
								elseif ratio == 1 then
									evt:Destroy()
									LoadMode("Bombe")
								end
							end, 2, true)

ChangeScreen(screen)
